"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.types = exports.FishyClient = void 0;
const client_1 = require("./client");
Object.defineProperty(exports, "FishyClient", { enumerable: true, get: function () { return client_1.FishyClient; } });
const types = __importStar(require("./types"));
exports.types = types;
// Useful for quick testing, only gets run when started with `node index.js`
if (require.main === module) {
    (async () => {
        require("dotenv").config();
        let { GuildModel } = require("./test/models/Guild");
        let client = new client_1.FishyClient({
            token: process.env.TOKEN,
            db_uri: process.env.DB_URI,
            guild_model: GuildModel,
            author: "Fish#2455",
            cmd_dir: "lib/test/commands",
            disable_load_on_construct: true,
            dev_guild_id: "729791412459143278",
            info_channel_id: "838138764211126294",
        });
        await client.load();
        await client.login();
        console.log(client.categories);
    })();
}
