import { MessageEmbed } from "discord.js";
import { FishyClient } from "..";
import { InteractionApplicationCommandCallbackData, raw_received_select_interaction } from "../types";
import ComponentMessage from "./ComponentMessage";
import { Interaction } from "./Interaction";
declare class SelectInteraction extends Interaction {
    data: raw_received_select_interaction["data"];
    private _message?;
    private _raw_select_interaction;
    constructor(client: FishyClient, raw_select_interaction: raw_received_select_interaction);
    get message(): ComponentMessage;
    updateMessage(message: string | MessageEmbed, options?: InteractionApplicationCommandCallbackData | string): Promise<import("axios").AxiosResponse<any>>;
    deferUpdateMessage(): Promise<import("axios").AxiosResponse<any>>;
}
export { SelectInteraction as default };
