"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.config = exports.run = void 0;
const types_1 = require("../../../types");
const run = async (client, interaction) => {
    console.log(interaction);
    console.log(interaction.user);
    console.log(interaction.member);
    const roles = await interaction.guild.roles.fetch();
    const emoji = { name: "atsymbol", id: "860227330173698069" };
    const data = roles.cache.map((role) => ({ label: role.name, value: `${role.id}`, emoji }));
    interaction.send("oi", {
        components: [
            {
                type: types_1.ComponentType.ActionRow,
                components: [
                    {
                        type: types_1.ComponentType.Select,
                        custom_id: "send_ping",
                        options: data,
                        max_values: data.length,
                        min_values: 4,
                    },
                ],
            },
            {
                type: types_1.ComponentType.ActionRow,
                components: [
                    {
                        type: types_1.ComponentType.Button,
                        style: types_1.ComponentStyle.Success,
                        label: "HEY",
                        custom_id: "send_ping",
                    },
                ],
            },
        ],
    });
};
exports.run = run;
exports.config = {
    name: "ping",
    bot_needed: true,
    interaction_options: {
        name: "ping",
        description: "Ping the bot",
        user_perms: ["ADD_REACTIONS"],
        options: [
            {
                name: "user",
                description: "asdf",
                type: types_1.ApplicationCommandOptionType.USER,
                user_perms: ["ADMINISTRATOR"],
            },
            {
                name: "channel",
                description: "asdf",
                type: types_1.ApplicationCommandOptionType.CHANNEL,
            },
            {
                name: "string",
                description: "asdf",
                type: types_1.ApplicationCommandOptionType.STRING,
            },
            {
                name: "integer",
                description: "asdf",
                type: types_1.ApplicationCommandOptionType.INTEGER,
            },
            {
                name: "role",
                description: "asdf",
                type: types_1.ApplicationCommandOptionType.ROLE,
            },
            {
                name: "bool",
                description: "asdf",
                type: types_1.ApplicationCommandOptionType.BOOLEAN,
            },
        ],
    },
};
