"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WarnEmbed = exports.ErrorEmbed = void 0;
const discord_js_1 = require("discord.js");
// Basic error embed
class ErrorEmbed extends discord_js_1.MessageEmbed {
    constructor(title, description) {
        super();
        this.setColor("RED");
        this.setTimestamp();
        if (title) {
            this.setTitle(title);
        }
        if (description) {
            this.setDescription(description);
        }
    }
}
exports.ErrorEmbed = ErrorEmbed;
// Basic warning embed
class WarnEmbed extends discord_js_1.MessageEmbed {
    constructor(title, description) {
        super();
        this.setColor("ORANGE");
        this.setTimestamp();
        if (title) {
            this.setTitle(title);
        }
        if (description) {
            this.setDescription(description);
        }
    }
}
exports.WarnEmbed = WarnEmbed;
