"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = void 0;
const discord_js_1 = require("discord.js");
class ComponentMessage extends discord_js_1.Message {
    /**
     * @param {Client} client The instantiating client
     * @param {Object} data The data for the message
     * @param {TextChannel|DMChannel|NewsChannel} channel The channel the message was sent in
     */
    constructor(client, data, channel) {
        super(client, data, channel);
        if (data.components?.[0]) {
            this.components = data.components;
        }
    }
}
exports.default = ComponentMessage;
