import { FishyClient } from "..";
import { ApplicationCommandInteractionDataOption, InteractionType, raw_received_application_command } from "../types";
import { InteractionData } from "./InteractionOptions";
import { Interaction } from "./Interaction";
export declare class SlashCommand extends Interaction {
    type: InteractionType.ApplicationCommand;
    data: InteractionData;
    name: string;
    args: Array<ApplicationCommandInteractionDataOption>;
    mentions: import("./InteractionOptions").InteractionDataMentions | undefined;
    constructor(client: FishyClient, raw_interaction: raw_received_application_command);
}
