"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.permission_overwritesType = exports.channel_types = exports.ComponentStyle = exports.InteractionType = exports.ComponentType = exports.ApplicationCommandOptionType = exports.InteractionApplicationCommandCallbackDataFlags = exports.InteractionResponseType = void 0;
var InteractionResponseType;
(function (InteractionResponseType) {
    InteractionResponseType[InteractionResponseType["Pong"] = 1] = "Pong";
    InteractionResponseType[InteractionResponseType["ChannelMessageWithSource"] = 4] = "ChannelMessageWithSource";
    InteractionResponseType[InteractionResponseType["DeferredChannelMessageWithSource"] = 5] = "DeferredChannelMessageWithSource";
    InteractionResponseType[InteractionResponseType["DeferredUpdateMessage"] = 6] = "DeferredUpdateMessage";
    InteractionResponseType[InteractionResponseType["UpdateMessage"] = 7] = "UpdateMessage";
})(InteractionResponseType = exports.InteractionResponseType || (exports.InteractionResponseType = {}));
var InteractionApplicationCommandCallbackDataFlags;
(function (InteractionApplicationCommandCallbackDataFlags) {
    InteractionApplicationCommandCallbackDataFlags[InteractionApplicationCommandCallbackDataFlags["None"] = 0] = "None";
    InteractionApplicationCommandCallbackDataFlags[InteractionApplicationCommandCallbackDataFlags["Ephemeral"] = 256] = "Ephemeral";
})(InteractionApplicationCommandCallbackDataFlags = exports.InteractionApplicationCommandCallbackDataFlags || (exports.InteractionApplicationCommandCallbackDataFlags = {}));
var ApplicationCommandOptionType;
(function (ApplicationCommandOptionType) {
    ApplicationCommandOptionType[ApplicationCommandOptionType["SUB_COMMAND"] = 1] = "SUB_COMMAND";
    ApplicationCommandOptionType[ApplicationCommandOptionType["SUB_COMMAND_GROUP"] = 2] = "SUB_COMMAND_GROUP";
    ApplicationCommandOptionType[ApplicationCommandOptionType["STRING"] = 3] = "STRING";
    ApplicationCommandOptionType[ApplicationCommandOptionType["INTEGER"] = 4] = "INTEGER";
    ApplicationCommandOptionType[ApplicationCommandOptionType["BOOLEAN"] = 5] = "BOOLEAN";
    ApplicationCommandOptionType[ApplicationCommandOptionType["USER"] = 6] = "USER";
    ApplicationCommandOptionType[ApplicationCommandOptionType["CHANNEL"] = 7] = "CHANNEL";
    ApplicationCommandOptionType[ApplicationCommandOptionType["ROLE"] = 8] = "ROLE";
    ApplicationCommandOptionType[ApplicationCommandOptionType["MENTIONABLE"] = 9] = "MENTIONABLE";
})(ApplicationCommandOptionType = exports.ApplicationCommandOptionType || (exports.ApplicationCommandOptionType = {}));
var ComponentType;
(function (ComponentType) {
    ComponentType[ComponentType["ActionRow"] = 1] = "ActionRow";
    ComponentType[ComponentType["Button"] = 2] = "Button";
    ComponentType[ComponentType["Select"] = 3] = "Select";
})(ComponentType = exports.ComponentType || (exports.ComponentType = {}));
var InteractionType;
(function (InteractionType) {
    InteractionType[InteractionType["Ping"] = 1] = "Ping";
    InteractionType[InteractionType["ApplicationCommand"] = 2] = "ApplicationCommand";
    InteractionType[InteractionType["MessageComponent"] = 3] = "MessageComponent";
})(InteractionType = exports.InteractionType || (exports.InteractionType = {}));
var ComponentStyle;
(function (ComponentStyle) {
    ComponentStyle[ComponentStyle["Primary"] = 1] = "Primary";
    ComponentStyle[ComponentStyle["Secondary"] = 2] = "Secondary";
    ComponentStyle[ComponentStyle["Success"] = 3] = "Success";
    ComponentStyle[ComponentStyle["Danger"] = 4] = "Danger";
    ComponentStyle[ComponentStyle["Link"] = 5] = "Link";
})(ComponentStyle = exports.ComponentStyle || (exports.ComponentStyle = {}));
var channel_types;
(function (channel_types) {
    channel_types[channel_types["GUILD_TEXT"] = 0] = "GUILD_TEXT";
    channel_types[channel_types["DM"] = 1] = "DM";
    channel_types[channel_types["GUILD_VOICE"] = 2] = "GUILD_VOICE";
    channel_types[channel_types["GROUP_DM"] = 3] = "GROUP_DM";
    channel_types[channel_types["GUILD_CATEGORY"] = 4] = "GUILD_CATEGORY";
    channel_types[channel_types["GUILD_NEWS"] = 5] = "GUILD_NEWS";
    channel_types[channel_types["GUILD_STORE"] = 6] = "GUILD_STORE";
    channel_types[channel_types["GUILD_NEWS_THREAD"] = 10] = "GUILD_NEWS_THREAD";
    channel_types[channel_types["GUILD_PUBLIC_THREAD"] = 11] = "GUILD_PUBLIC_THREAD";
    channel_types[channel_types["GUILD_PRIVATE_THREAD"] = 12] = "GUILD_PRIVATE_THREAD";
    channel_types[channel_types["GUILD_STAGE_VOICE"] = 13] = "GUILD_STAGE_VOICE";
})(channel_types = exports.channel_types || (exports.channel_types = {}));
var permission_overwritesType;
(function (permission_overwritesType) {
    permission_overwritesType[permission_overwritesType["ROLE"] = 0] = "ROLE";
    permission_overwritesType[permission_overwritesType["MEMBER"] = 1] = "MEMBER";
})(permission_overwritesType = exports.permission_overwritesType || (exports.permission_overwritesType = {}));
